curl --request GET \
--url http://10.2.4.166:8080/composer/api/dashboards/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/dashboards/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/dashboards/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/dashboards/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/dashboards/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/dashboards/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"layout": "<string>",
"dashboardLayout": {},
"icon": "<string>",
"showDescription": true,
"isReportDashboard": true,
"unifiedBarCfgs": [
{
"id": "<string>",
"accountId": "<string>",
"timeControlCfg": {
"timeField": "<string>",
"from": "<string>",
"to": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
},
"widgetIds": [
"<string>"
]
}
],
"selectedWidgetId": "<string>",
"fieldLinks": [
{
"id": "<string>",
"label": "<string>",
"mappings": [
{
"fieldName": "<string>",
"sourceId": "<string>",
"fieldType": "<string>"
}
]
}
],
"rowFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"mutedLinks": [
{
"targetId": "<string>",
"widgetId": "<string>",
"direction": "publish, subscribe",
"type": "crossSource, sameSource"
}
],
"creatorName": "<string>",
"creatorFullName": "<string>",
"widgets": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"header": {
"visibility": "VISIBLE"
},
"layout": {
"col": 123,
"row": 123,
"rowSpan": 123,
"colSpan": 123
},
"position": {
"relativeHeight": 123,
"relativeWidth": 123,
"verticalPosition": "<string>",
"horizontalPosition": "<string>"
},
"visualId": "<string>",
"dashboardLink": {
"dashboardId": "<string>",
"dashboardName": "<string>",
"inheritFilterCfg": true
},
"content": {
"contentType": "VISUAL",
"visualId": "<string>",
"snippetId": "<string>"
},
"pickers": {
"hiddenPickers": [
"<string>"
],
"visibility": "CUSTOM"
}
}
],
"tags": [
"<string>"
],
"interactivityProfile": {
"name": "<string>",
"type": "SYSTEM",
"overrideVisualInteractivity": true,
"settings": {},
"visualSettings": {}
},
"originId": "<string>",
"projectId": 2222,
"folderId": 1111,
"reportDetails": {
"reportType": "RAW_DATA_TABLE",
"id": "<string>"
},
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Loads a dashboard (requires READ permission to the dashboard)
curl --request GET \
--url http://10.2.4.166:8080/composer/api/dashboards/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/dashboards/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/dashboards/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/dashboards/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/dashboards/{id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/dashboards/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"id": "<string>",
"description": "<string>",
"layout": "<string>",
"dashboardLayout": {},
"icon": "<string>",
"showDescription": true,
"isReportDashboard": true,
"unifiedBarCfgs": [
{
"id": "<string>",
"accountId": "<string>",
"timeControlCfg": {
"timeField": "<string>",
"from": "<string>",
"to": "<string>",
"calendarId": "<string>"
},
"playerControlCfg": {
"timeWindowScale": "PINNED",
"pauseAfterRead": true,
"stopTime": "<string>",
"speed": 123
},
"sharpeningCfg": {
"prefer": true,
"maxQueries": 123
},
"widgetIds": [
"<string>"
]
}
],
"selectedWidgetId": "<string>",
"fieldLinks": [
{
"id": "<string>",
"label": "<string>",
"mappings": [
{
"fieldName": "<string>",
"sourceId": "<string>",
"fieldType": "<string>"
}
]
}
],
"rowFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"mutedLinks": [
{
"targetId": "<string>",
"widgetId": "<string>",
"direction": "publish, subscribe",
"type": "crossSource, sameSource"
}
],
"creatorName": "<string>",
"creatorFullName": "<string>",
"widgets": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"header": {
"visibility": "VISIBLE"
},
"layout": {
"col": 123,
"row": 123,
"rowSpan": 123,
"colSpan": 123
},
"position": {
"relativeHeight": 123,
"relativeWidth": 123,
"verticalPosition": "<string>",
"horizontalPosition": "<string>"
},
"visualId": "<string>",
"dashboardLink": {
"dashboardId": "<string>",
"dashboardName": "<string>",
"inheritFilterCfg": true
},
"content": {
"contentType": "VISUAL",
"visualId": "<string>",
"snippetId": "<string>"
},
"pickers": {
"hiddenPickers": [
"<string>"
],
"visibility": "CUSTOM"
}
}
],
"tags": [
"<string>"
],
"interactivityProfile": {
"name": "<string>",
"type": "SYSTEM",
"overrideVisualInteractivity": true,
"settings": {},
"visualSettings": {}
},
"originId": "<string>",
"projectId": 2222,
"folderId": 1111,
"reportDetails": {
"reportType": "RAW_DATA_TABLE",
"id": "<string>"
},
"createdByUserID": "<string>",
"lastModifiedByUserID": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"lastModifiedDate": "2023-11-07T05:31:56Z"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Defines a dashboard identifier
Query Parameters
(experimental) Dashboard interactivity profile name
Response
The dashboard was retrieved successfully
Defines a dashboard payload
Defines a dashboard name
255Defines a dashboard identifier
Defines a dashboard description
Defines a dashboard layout
(experimental) Defines a responsive dashboard layout
Show child attributes
Show child attributes
Defines a dashboard icon
Enables dashboard description in order to show
Defines whether dashboard is of type report
Defines unified controls configuration of a dashboard
Show child attributes
Show child attributes
Defines an identifier of the selected widget
Defines field links
Show child attributes
Show child attributes
(deprecated since 7.4, to be removed in 8.x) Defines row filters
Show child attributes
Show child attributes
(experimental) Defines muted links
Show child attributes
Show child attributes
Defines an dashboard author name
Defines a dashboard author full name
Defines widgets
Show child attributes
Show child attributes
Defines tags. Note: Tags are not supported as a sort parameter in the pagination API.
(experimental) Defines a dashboard interactivity profile
Show child attributes
Show child attributes
Id of the exported dashboard
Project ID where this dashboard is organized. This field is read-only and only.
2222
Optional folder ID for organizing the dashboard within a project.
1111
Defines self service report details of the dashboard
Show child attributes
Show child attributes
Defines a dashboard creator's identifier
Defines an identifier of the user who has modified the dashboard last
Defines a date of creation of the dashboard
Defines a date of the last modification of the dashboard
Was this page helpful?